## org.apache.batik.apps.svgbrowser
Class HistoryBrowser.CommandNamesInfo

    java.lang.Object
      org.apache.batik.apps.svgbrowser.HistoryBrowser.CommandNamesInfo

Enclosing class:
  HistoryBrowser

    public static class HistoryBrowser.CommandNamesInfo

extends java.lang.Object

Contains the info on the command name being executed, undone or redone and last undoable and redoable command names.

Constructor Summary
`HistoryBrowser.CommandNamesInfo(java.lang.String commandName, java.lang.String lastUndoableCommandName, java.lang.String lastRedoableCommandName)` Constructor.

Method Summary
`java.lang.String` `getCommandName()` Gets the command name.
`java.lang.String` `getLastRedoableCommandName()` Gets the name of the last undoable command.
`java.lang.String` `getLastUndoableCommandName()` Gets the name of the last redoable command.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HistoryBrowser.CommandNamesInfo

    public HistoryBrowser.CommandNamesInfo(java.lang.String commandName,
                                           java.lang.String lastUndoableCommandName,
                                           java.lang.String lastRedoableCommandName)

  Constructor.

  Parameters:
    `commandName` - The current command name being executed/undone/redone
    `lastUndoableCommandName` - The last undoable command name
    `lastRedoableCommandName` - The last redoable command name

Method Detail

### getLastRedoableCommandName

    public java.lang.String getLastRedoableCommandName()

  Gets the name of the last undoable command.

  Returns:
    the lastUndoableCommandName

### getLastUndoableCommandName

    public java.lang.String getLastUndoableCommandName()

  Gets the name of the last redoable command.

  Returns:
    the lastRedoableCommandName

### getCommandName

    public java.lang.String getCommandName()

  Gets the command name.

  Returns:
    the command name

Copyright © 2008 Apache Software Foundation. All Rights Reserved.